Subject: Re: bug#5080: indic text is not displayed correctly in emacs shell

From: Pravin Satpute <[email-masked]>
Date: Thu, 03 Dec 2009 17:56:54 +0530

On 12/03/2009 05:37 PM, Praveen A wrote:
> 2009/12/3 Kenichi Handa <[email-masked]>:
>   
>> In article <[email-masked]>, Praveen A <[email-masked]> writes:
>>     
>>> Thanks. I will request fedora and debian emacs maintainers to include this.
>>>       
>> That's good, thank you.
>>     
> The request is filed.
>
>   
>> No, no, you must specify "Rachana" (if it is the font family
>> name) in place of "FONT_FAMILY_NAME" as this:
>>
>> (set-fontset-font t 'malayalam '("rachana" . "unicode-bmp"))
>>
>> I installed rachana font and confirmed that the above code
>> worked.
>>     
> Thanks. It works for me now. But how to make it default? Where does
> emacs take this information from ?
>
> I have my fontconfig preferences to prefer Meera, but emacs does not
> respect that and takes Lohit Malayalam instead.
>
> So from emacs point of view issue (3) is resolved. I have filed
> another bug for issue (2). Issue (4) still needs attention.
>
> (4a) Why is it taking Lohit Malayalam by default
> (4b) Why is the display cluttered/overlapped with some fonts like Meera
>
> (1a) now with your patch, emacs handles ZWJ
> (1b) There is a problem with Lohit Malayalam, I had a discussion with
> Lohit developer (Pravin Satpute) and he says it is an issue with
> m17n/redering engine.
>   

Yeah, Speaking about lohit-malayalam
since it work well with all other rendering engine like, pango, qt and ICU.

I think there is some problem processing its open type feature by
present m17n rendering engine.
Is it latest one?
I think its work well with Meera font since, Meera font has lots of
ligature defined, and most of the shape get form it very early stage of
open type feature processing by rendering engine.

though i have not tested much i think this is the case. I will do some
more testing with other fonts may be on monday and will let you know
exact case.

Regards
-
Pravin S